device='1'
model='shikra_7B'
# dimensions=("privacy" "bias" "toxicity" "hallucination" "legality")
dimensions='all'
validate_dataset='MME_general'

num_heads_list=(8 16 24 32 40 48 56 64 72 80)
alpha_list=(1 3 5 7 9)

for num_head in "${num_heads_list[@]}"; do
  # 内层循环
    for alpha in "${alpha_list[@]}"; do
        echo $num_head $alpha
        subfix="_${num_head}_${alpha}_train_YR_I+Q;C_p2+Q_end31_youare_YR_off10_q"
        python eval/mme_eval.py --model $model \
                        --dimensions $dimensions \
                        --log_file "logs/evaluate-${category}_${model}.log" \
                        --device $device \
                        --validate_dataset $validate_dataset \
                        --subfix $subfix
    done
done